Package org.h2gis.functions.spatial.operators

## Class ST_ConcaveHull

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.operators.ST_ConcaveHull

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_ConcaveHull
    extends org.h2gis.api.DeterministicScalarFunction

Compute the concave geometry that encloses the vertices of the input geometry

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_ConcaveHull()` Default constructor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.Geometry` `execute​(org.locationtech.jts.geom.Geometry geometry)` Compute the concave geometry that encloses the vertices of the input geometry
`static org.locationtech.jts.geom.Geometry` `execute​(org.locationtech.jts.geom.Geometry geometry, double ratio, boolean allow_holes)` Compute the concave geometry that encloses the vertices of the input geometry
`static org.locationtech.jts.geom.Geometry` `execute​(org.locationtech.jts.geom.Geometry geometry, org.h2.value.Value param)` Compute the concave geometry that encloses the vertices of the input geometry
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_ConcaveHull

    public ST_ConcaveHull()

Default constructor

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### execute

    public static org.locationtech.jts.geom.Geometry execute​(org.locationtech.jts.geom.Geometry geometry)

Compute the concave geometry that encloses the vertices of the input geometry

Parameters:
  `geometry` - input geometry
Returns:
  the concave geometry

#### execute

    public static org.locationtech.jts.geom.Geometry execute​(org.locationtech.jts.geom.Geometry geometry,
                                                             org.h2.value.Value param)
                                                      throws SQLException

Compute the concave geometry that encloses the vertices of the input geometry

Parameters:
  `geometry` - input geometry
  `param` - set true to allow hole or a double value to increase the hull concaveness
Returns:
  the concave geometry
Throws:
  `SQLException`

#### execute

    public static org.locationtech.jts.geom.Geometry execute​(org.locationtech.jts.geom.Geometry geometry,
                                                             double ratio,
                                                             boolean allow_holes)

Compute the concave geometry that encloses the vertices of the input geometry

Parameters:
  `geometry` - input geometry
  `ratio` - concaveness ratio
  `allow_holes` - true to allow hole
Returns:
  the concave geometry